/* 
   This file is part of KDE project.
   Copyright (C) 2004 Dawit Alemayehu <adawit@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#include <kbrokenlibdetector.hpp>

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kuniqueapplication.h>

static const char *appName = "KBLD";
static const char *version = "0.1";
static const char *copyright = "Copyright (C) 2003 Dawit Alemayehu";
static const char *description = "KDE Broken Library Detector";

int main (int argc, char** argv)
{
  KAboutData data (appName, appName, version, description, KAboutData::License_GPL_V2, copyright);
  data.addAuthor ("Dawit Alemayehu", 0, "adawit@kde.org");
  
  KCmdLineArgs::init( argc, argv, &data );
  KUniqueApplication::addCmdLineOptions();
   
  if (!KBrokenLibDetector::start())
     return 1;
  
  KBrokenLibDetector a;
  a.exec();
  
  return 0;  
}
